/*
   Gameboy Header File gba.h
   Created by the Programming Ace
   www.UltimateGameProgramming.com
*/


#ifndef GBA_H
#define GBA_H


#define RGB16(r,g,b) ((r) + (g << 5) + (b << 10))

unsigned short* PrimaryBuffer = (unsigned short*)0x6000000;
unsigned short* SecondaryBuffer = (unsigned short*)0x600A000;
unsigned short* Screen;

#define MODE_0 0x0
#define MODE_1 0x1
#define MODE_2 0x2
#define MODE_3 0x3
#define MODE_4 0x4
#define MODE_5 0x5

#define REG_DISPCNT    *(unsigned long*)0x4000000
#define REG_DISPCNT_L  *(unsigned short*)0x4000000
#define REG_DISPCNT_H  *(unsigned short*)0x4000002

#define BG0_ENABLE 0x100
#define BG1_ENABLE 0x200 
#define BG2_ENABLE 0x400
#define BG3_ENABLE 0x800
#define OBJ_ENABLE 0x1000 

#define InitGraphicMode(mode) REG_DISPCNT = (mode)

#endif

// Copyright September 2004
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com